Bug 102441 - [MAINTAINER UPDATE]: net/bittwist
[MAINTAINER UPDATE]: net/bittwist
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Shaun Amott
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 19:10 UTC by wxs
Modified: 2006-08-25 14:17 UTC (History)
0 users

See Also:


Attachments
file.diff (1.11 KB, patch)
2006-08-23 19:10 UTC, wxs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description wxs 2006-08-23 19:10:18 UTC
net/bittwist is up to 0.73 now.  The attached patch updates the port.

How-To-Repeat: N/A
Comment 1 Shaun Amott freebsd_committer 2006-08-23 22:18:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Take.
Comment 2 Shaun Amott freebsd_committer 2006-08-25 01:10:07 UTC
State Changed
From-To: open->feedback

The port fails to respect ${PREFIX} - could you fix this?
Comment 3 wxs 2006-08-25 13:58:14 UTC
On Fri, Aug 25, 2006 at 12:21:08AM +0000, Shaun Amott wrote:
> Synopsis: [MAINTAINER UPDATE]: net/bittwist
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: shaun
> State-Changed-When: Fri Aug 25 00:10:07 UTC 2006
> State-Changed-Why: 
> The port fails to respect ${PREFIX} - could you fix this?
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=102441

You're right.  Here's an updated patch.

-- WXS

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/bittwist/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- Makefile	19 Aug 2006 16:49:47 -0000	1.4
+++ Makefile	25 Aug 2006 12:53:56 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	bittwist
-PORTVERSION=	0.72
+PORTVERSION=	0.73
 CATEGORIES=	net
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/net/bittwist/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	1 May 2006 15:06:33 -0000	1.2
+++ distinfo	25 Aug 2006 12:53:56 -0000
@@ -1,3 +1,3 @@
-MD5 (bittwist-bsd-0.72.tar.gz) = 917d5ff5eb0264dd59052d4a7f039822
-SHA256 (bittwist-bsd-0.72.tar.gz) = 13730a72f2a2967f605c2311a7755f1b842220f6f88f938b78a9bdd20fedd001
-SIZE (bittwist-bsd-0.72.tar.gz) = 37138
+MD5 (bittwist-bsd-0.73.tar.gz) = 6f5693127cff9028c418898ded28d8ec
+SHA256 (bittwist-bsd-0.73.tar.gz) = f7dc534b6e3289fb07f8d086f5561169b8004641b75fc88a475bfcd01751c41a
+SIZE (bittwist-bsd-0.73.tar.gz) = 38031
Index: files/patch-Makefile
===================================================================
RCS file: files/patch-Makefile
diff -N files/patch-Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-Makefile	25 Aug 2006 12:53:56 -0000
@@ -0,0 +1,10 @@
+--- Makefile.orig	Thu Aug 24 21:10:59 2006
++++ Makefile	Thu Aug 24 21:11:09 2006
+@@ -1,6 +1,6 @@
+ SHELL = /bin/sh
+ 
+-prefix = /usr/local
++prefix = ${PREFIX}
+ exec_prefix = ${prefix}
+ bindir = ${exec_prefix}/bin
+ mandir = ${prefix}/man/man1
Comment 4 Shaun Amott freebsd_committer 2006-08-25 14:15:32 UTC
State Changed
From-To: feedback->closed

Committed, thanks!